classification
Title: transport.get_extra_info('sockname') of test_asyncio fails on AIX
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Michael.Felt, asvetlov
Priority: normal Keywords: patch, patch

Created on 2018-08-24 20:46 by Michael.Felt, last changed 2019-03-11 21:44 by Michael.Felt. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8907 merged Michael.Felt, 2018-08-24 20:54
PR 8907 merged Michael.Felt, 2018-08-24 20:54
PR 9286 merged asvetlov, 2018-09-13 23:41
Messages (5)
msg324017 - (view) Author: Michael Felt (Michael.Felt) * Date: 2018-08-24 20:46
Inspired by msg211764, issue20682

In short: 
   For address family of AF_UNIX or AF_UNIX_CCSID, getsockname() returns 0 if issued before a bind(). The address length is 0. This is always the case for sockets created by socketpair().

That is at least one possible explanation I found.

Have tested on AIX 6.1 and AIX 7.1 - transport.get_extra_info('sockname') returns None
msg324410 - (view) Author: Michael Felt (Michael.Felt) * Date: 2018-08-31 09:24
Even if it is just in the spirit of issue29972 I hope this can be given a quick review and have yet one less test failing on the AIX bots.
msg325312 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-09-14 00:03
New changeset d0491cd7fd8a22093ab1ae54eee51fb0e7805c0d by Andrew Svetlov in branch '3.7':
[3.7] bpo-34490: Fix test_asyncio for AIX - do not call transport.get_extra_info('sockname') (GH-8907) (#9286)
https://github.com/python/cpython/commit/d0491cd7fd8a22093ab1ae54eee51fb0e7805c0d
msg337631 - (view) Author: Michael Felt (Michael.Felt) * Date: 2019-03-10 18:37
Could this also be backported to Version 3.6?
msg337700 - (view) Author: Michael Felt (Michael.Felt) * Date: 2019-03-11 21:44
On 10/03/2019 19:37, Michael Felt wrote:
> Michael Felt <aixtools@felt.demon.nl> added the comment:
>
> Could this also be backported to Version 3.6?
Ignore this since 3.6 is in security mode.
>
> ----------
> versions: +Python 3.6
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue34490>
> _______________________________________
>
History
Date User Action Args
2019-03-11 21:44:20Michael.Feltsetmessages: + msg337700
2019-03-10 18:37:06Michael.Feltsetmessages: + msg337631
versions: + Python 3.6
2018-09-14 00:03:40asvetlovsetnosy: + asvetlov
messages: + msg325312
2018-09-13 23:41:56asvetlovsetpull_requests: + pull_request8716
2018-09-13 23:37:06asvetlovsetkeywords: patch, patch
status: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: - Python 3.4, Python 3.5, Python 3.6
2018-08-31 09:24:37Michael.Feltsetmessages: + msg324410
2018-08-24 20:54:34Michael.Feltsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8378
2018-08-24 20:54:34Michael.Feltsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request8377
2018-08-24 20:46:20Michael.Feltcreate